Feedback page - Multiple Unflags
Closed, ResolvedPublic

Description

AFT5-Bug-Multiple-Unflags-Screenshot-08-28-2012.jpg

On the feedback page, if I unflag a post that was previously flagged, I can keep unflagging it until there are no flags left.

What I expected instead is that the flag/unflag button would work as a toggle, so that if I click once it flags, but if I click a second time it unflags, then flags again, and so on.

I can reproduce this bug consistently as a confirmed editor on test, using either desktop machines or iPad, as shown in the attached screenshot of the Activity log.


Version: unspecified
Severity: major

Attached:

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz39747.
Fabrice_Florin created this task.Via LegacyAug 28 2012, 8:33 PM
matthiasmullie added a comment.Via ConduitSep 4 2012, 11:46 AM

Fabrice: Are you still able to reproduce this issue? I can't

Fabrice_Florin added a comment.Via ConduitSep 4 2012, 11:23 PM

I can still reproduce this issue with posts that already had multiple flags, such as this one:

http://en.wikipedia.org/wiki/Special:ArticleFeedbackv5/Golden-crowned_Sparrow/87184

This post already had 3 flags when I came to test it today. I added one more flag, bringing it up to 4 flags, then clicked once to unflag it down to 3 flags, clicked another time to take it down to 2 flags, then once more to 1 flag.

I have included below the activity log for this post.

It is possible that this is due to the fact that this was an older post. I have not yet tested it with a brand new post, but can do that, if you like.

Activity log
Feedback Post #87184 by Fabrice Florin
Posted on 00:25, 20 April 2012
permalink
43 actions on this post
Fabrice Florin (WMF) unflagged this post on 4 September 2012 at 23:19
Fabrice Florin (WMF) unflagged this post on 4 September 2012 at 23:18
Fabrice Florin (WMF) unflagged this post on 4 September 2012 at 23:18
Fabrice Florin (WMF) flagged this post on 4 September 2012 at 23:18
Innotata marked this post as helpful on 21 July 2012 at 21:40
Invertzoo marked this post as helpful on 19 July 2012 at 13:11
Dhollm marked this post as helpful on 19 July 2012 at 11:42
MeegsC marked this post as resolved on 19 July

matthiasmullie added a comment.Via ConduitMar 27 2013, 4:32 PM

This issue has been fixed already (pretty much all of that code has been rewritten)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.